/*
Theme Name: Flatsome Child
Description: This is a child theme for Flatsome Theme
Author: UX Themes
Template: flatsome
Version: 3.0
*/

/*************** ADD CUSTOM CSS HERE.   ***************/

.alg_wc_product_ppq_table tr td:only-child, .alg_wc_product_ppq_table tr th:only-child {
    display: none;
}

.no-sidebar-modified{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: flex-start;
    align-content: flex-start;
    max-width: 1533px;
    margin: 0 auto;
}

.no-sidebar-modified .product-container, .no-sidebar-modified .product-info{
    max-width: 60%;
    width: 60%;
}

.no-sidebar-modified .product-info{
    max-width: 30%;
    width: 30%;
}

.no-sidebar-modified .product-info{
    position: sticky;
    bottom: 0;
    margin: auto 0 0 0;
    padding-bottom: 0;
}

.no-sidebar-modified .tab-links > ul > li{
    list-style-type: none;
}

.no-sidebar-modified .tab-links > ul > li > a{
    font-weight: 600;
}

.no-sidebar-modified .tab-links{
    min-height: 55px;
}

.no-sidebar-modified .product-page-accordian-top #up-sells .box-text.text-center {
    padding-left: 0;
    padding-right: 0;
}
.no-sidebar-modified .product-page-accordian-top #up-sells .box-text.text-center a{
    word-break: break-word;
}

.no-sidebar-modified .product-page-accordian-top #up-sells{
    flex-basis: 33%;
}

.container-width, .full-width .ubermenu-nav, .no-sidebar-modified .container, .no-sidebar-modified .row {
    
}

.no-sidebar-modified .product-footer .container > div{
    
}

.cart .button[type="submit"]{
    font-family: 'Proxima Nova Regular', sans-serif;
    border-radius: 10px;
    padding-top: 7px;
    padding-bottom: 7px;
}

.cart input[type="number"]{
    height: calc(2.507em + 14px);
}

.accordion-link{
    display: block;
    border-radius: 5px;
    background: #5B6BA2;
    color: #fff;
    text-transform: none;
    float: left;
}

.vertical-thumbnails .col{
    transform: none !important;
}

 .theme-flatsome .no-sidebar-modified .accordion .accordion-item > a {
    font-family: 'Proxima Nova Bold', sans-serif;
    text-decoration: none;
}

.product-main > .content-row{
    justify-content: center;
}

.no-sidebar-modified .product-gallery{
    flex-basis: 100%;
    max-width: 100%;
}

.no-sidebar-modified .product-gallery > .row{
    min-height: 500px;
    justify-content: center;
}
/*
.no-sidebar-modified .product-gallery .large-10{
    flex-basis: 60%;
    max-width: 60%;
}

.no-sidebar-modified .product-gallery .large-2{
    flex-basis: 40%;
    max-width: 40%;
}
*/
.no-sidebar-modified .product-gallery .vertical-thumbnails .col{
    max-width: 100px !important;
    width: 100px !important;
}
/*
.no-sidebar-modified .product-thumbnails{
    height: 100%;
    align-content: center;
}


.no-sidebar-modified .product-thumbnails .flickity-slider{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    align-content: center;
    position: relative;
}
*/
.no-sidebar-modified .large-10 .woocommerce-product-gallery, .no-sidebar-modified .large-10 .woocommerce-product-gallery .woocommerce-product-gallery__wrapper{
    height: 100%;
}

.no-sidebar-modified .large-10 .woocommerce-product-gallery .woocommerce-product-gallery__wrapper .flickity-viewport{
    height: 100% !important;
}

.no-sidebar-modified .large-10 .woocommerce-product-gallery .woocommerce-product-gallery__wrapper .flickity-slider{
    height: 100%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    align-content: center;
    position: relative;
}

.short-description{
    text-align: left;
}

.no-sidebar-modified .up-sells > h3{
    text-align: center;
}

.no-sidebar-modified .accordion li, .no-sidebar-modified .short-description li{
    margin-left: 1.3em;
}

.no-sidebar-modified .up-sells .price-wrapper{
    display: none;
}

.no-sidebar-modified .up-sells .product-section-title, .no-sidebar-modified .related .product-section-title, .no-sidebar-modified #product-info .button{
    text-transform: none;
}

.no-sidebar-modified .related .box-image{
    width: 90%;
}

.no-sidebar-modified .product-section-title,.no-sidebar-modified .accordion .accordion-title, .no-sidebar-modified .product-info .price{
    font-size: 25px;
}

.no-sidebar-modified span.amount {
    color: #353a3f;
}

.no-sidebar-modified .product-section-title-related{
    margin-top: 120px;
}

.no-sidebar-modified label, .no-sidebar-modified .product-page-price small, .no-sidebar-modified .woocommerce-variation-price small, .no-sidebar-modified .product_meta{
    font-size: 16px;
}

.no-sidebar-modified .iconic-was-chosen-attribute__no-selection{
    opacity: 1;
}

.product-page-accordian-top{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: flex-start;
    align-content: space-around;
    margin-left: 1.3em;
}

.container > .product-page-accordian-top > div:first-child {
    flex-basis: 66%;
}

.product-page-accordian-top .up-sells > .row{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    align-content: space-around;
}

.product-page-accordian-top .up-sells > .row > .product-small{
    flex-basis: 33%;
    max-width: 33%;
}

.product-page-accordian-top .up-sells{
    border-top: unset;
}


.no-sidebar-modified .accordion a.button{
    border-radius: 10px;
    padding: 7px 15px 7px 15px;
    text-transform: none;
}

.no-sidebar-modified .accordion a.button span:first-letter{
    text-transform: uppercase;
}
    
.no-sidebar-modified .vertical-thumbnails .flickity-slider, .no-sidebar-modified .vertical-thumbnails .flickity-viewport {
    height: auto !important;
    overflow: visible !important;
    transform: none !important;
}

.no-sidebar-modified .vertical-thumbnails .col {
    left: 0 !important;
    margin-left: 1px;
    max-width: 100% !important;
    min-height: 0 !important;
    padding: 0 0 15px !important;
    position: relative !important;
    right: 0 !important;
    width: 95% !important;
}

.no-sidebar-modified .large-col-first {
    order: 1;
}

#wrapper .slider-nav-reveal .flickity-prev-next-button, #wrapper .slider-nav-reveal .flickity-prev-next-button:hover {
    background-color: unset;
    bottom: 0;
    box-shadow: none;
    height: 100%;
    margin: 0 !important;
    top: 0px;
    width: 60px;
    transition: transform .1s, opacity .1s, background .1s, box-shadow .1s;
}

#wrapper .slider-nav-push.slider-nav-reveal .flickity-prev-next-button svg {
    top: 50%;
    left: 50%;
    width: 60px;
}

.sticky-add-to-cart__product > small{
    margin-left: 10px;
}

.sticky-add-to-cart__product > small, .sticky-add-to-cart__product > .uom{
    font-size: 80%;
}

.sticky-add-to-cart-wrapper .sticky-add-to-cart .sticky-add-to-cart__product{
    align-items: center;
}

.no-sidebar-modified #product-info .product-page-price .woocommerce-Price-currencySymbol{
    margin-left: 5px;
    font-size: 25px;
}

.no-sidebar-modified #product-info .product-page-price small .woocommerce-Price-currencySymbol{
    font-size: 16px;
}

.alg_wc_product_ppq_table tr td, .alg_wc_product_ppq_table tr th{
    text-align: left !important;
}

.no-sidebar-modified .alg_wc_product_ppq_table .woocommerce-Price-currencySymbol{
    font-size: 1em;
}

.no-sidebar-modified .variations td{
    padding: .22em 0;
}

.no-sidebar-modified .mobile-images{
    display: none;
}

.no-sidebar-modified .mobile-images .small-columns-4 .flickity-slider>.col, .small-columns-4>.col {
    flex-basis: 20%;
    max-width: 20%;
}

.no-sidebar-modified .woocommerce-product-gallery .flickity-slider img{
    object-fit: contain;
    height: 510px;
}

.no-sidebar-modified .woocommerce-product-gallery .is-draggable .flickity-slider img{
    object-fit: contain;
}

.woocommerce-subcategories .subcategory-button{
    border-radius: 5px;
    padding: 3px 8px 3px 8px;
    text-transform: none;
    background: transparent;
    margin-right: 0;
    margin-bottom: 0;
    color: #353A3F;
    border-color: #d9d9d9;
    font-weight: 400;
}

.no-sidebar-modified #product-info .is-divider{
    margin: 0;
}

.no-sidebar-modified #product-info{
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: stretch;
    align-content: center;
}

html body{
    font-family: 'Proxima Nova Regular', sans-serif;
}

.ux-block-top{
    margin-bottom: 30px;
}

.row .ux-block-top .section, .ux-block-top .section{
    padding-left: 0;
    padding-right: 0;
}

.top-block {
  max-height: 330px;
  overflow: hidden;
  position: relative;
  transition: max-height 0.3s ease-in-out;
  -webkit-mask-image: linear-gradient(180deg, #000 70%, transparent);
}

.show-more-checkbox[type=checkbox] {
  display: none;
}

.show-more-checkbox:checked + .top-block {
  max-height: none;
    -webkit-mask-image: none;
}

.show-more-label {
    display: block;
    cursor: pointer;
    text-align: left;
    margin-bottom: 15px;
    font-family: 'Proxima Nova Regular', sans-serif;
    font-weight: 600;
    font-size: 16px;
    position: relative;
    margin-top: 0;
    text-decoration: underline;
}

.show-more-checkbox:checked + .top-block + .show-more-label {
  display: none !important;
}

.category-page-row .woocommerce-subcategories{
    margin-top: 30px;
}

.term-block-top{
    display: grid;
    grid-template-columns: 3fr 1fr;
    gap: 40px;
}

main .category-page-row {
    padding-top: 20px;
}

.flickity-enabled .woocommerce-product-gallery__image.slide.is-selected {
    z-index: 99999;
    transition: opacity 0.5s ease-in-out;
    opacity: 1;
}

.product-gallery-slider img{
    height: 510px;
    object-fit: contain;
}

.flickity-enabled .woocommerce-product-gallery__image.slide{
    opacity: 0;
}

.quantity input[type=number] {
    width: 3em !important;
}

.megamenu .box-image{
    margin: 0;
}

.header .megamenu{
    padding: 0 15px;
}

.megamenu .col-inner .tab, .megamenu .col-inner .tab > a{;
    background-color: #fff;
    border: none;
}


.megamenu .col-inner .tab > a span {
    color: var(--fs-experimental-link-color-hover);
    font-family: 'Proxima Nova Regular', sans-serif;
    padding-left: 30px;
    position: relative;
    line-height: 1.8;
}

.megamenu .tab-panels .row .col {
    padding-bottom: 0;
}

.megamenu .col-inner .tab > a span::before {
    position: absolute;
    z-index: 100000;
    left: -12px;
    top: -6px;
    width: 36px;
    height: 36px;
    display: block;
}

.megamenu .col-inner #tab-pakkauslaatikot.tab > a span::before{
    content: url(/wp-content/uploads/2025/03/ikonit-02.svg);
}

.megamenu .col-inner #tab-postitus--ja-lähetyspakkaukset.tab > a span::before{
    content: url(/wp-content/uploads/2025/03/ikonit-03.svg);
}

.megamenu .col-inner #tab-teipit.tab > a span::before{
    content: url(/wp-content/uploads/2025/03/ikonit-04.svg);
}

.megamenu .col-inner #tab-elintarvikepakkaukset-\&-takeaway.tab > a span::before{
    content: url(/wp-content/uploads/2025/03/ikonit-05.svg);
}

.megamenu .col-inner #tab-pussit\,-kassit-ja-säkit.tab > a span::before{
    content: url(/wp-content/uploads/2025/03/ikonit-06.svg);
}

.megamenu .col-inner #tab-pakkaustäytteet-ja--pehmusteet.tab > a span::before{
    content: url(/wp-content/uploads/2025/03/ikonit-07.svg);
}

.megamenu .col-inner #tab-tarrat-ja-merkintätuotteet.tab > a span::before{
    content: url(/wp-content/uploads/2025/03/ikonit-08.svg);
}

.megamenu .col-inner #tab-kiriste--ja-suojakalvot.tab > a span::before{
    content: url(/wp-content/uploads/2025/03/ikonit-09.svg);
}

.megamenu .col-inner #tab-pakkausvanteet--ja-koneet.tab > a span::before{
    content: url(/wp-content/uploads/2025/03/ikonit-10.svg);
}

.megamenu .col-inner #tab-lava--ja-varastotarvikkeet.tab > a span::before{
    content: url(/wp-content/uploads/2025/03/ikonit-11.svg);
}

.megamenu .col-inner #tab-toimisto--ja-tulostustarvikkeet.tab > a span::before{
    content: url(/wp-content/uploads/2025/03/ikonit-12.svg);
}

.megamenu .col-inner #tab-hygienia-ja-puhtaanapito.tab > a span::before{
    content: url(/wp-content/uploads/2025/03/ikonit-13.svg);
}

.megamenu .nav-vertical.nav-tabs>li.active>a {
  /*  border-left: none; */
}

.no-underline p a, .no-underline div a, .no-underline, .no-underline a{
    text-decoration: none;
}

@media (max-width: 1200px){
    .term-block-top{
        grid-template-columns: 3fr 1fr;
    }
}

@media (max-width: 1000px){
    .container > .product-page-accordian-top > div:first-child {
        flex-basis: 59%;
    }
}

@media (max-width: 849px){
    .no-sidebar-modified .vertical-thumbnails .col {
        display: none;
    }

    .term-block-top > picture, .term-block-top > img{
        display: none;
    }

    .term-block-top{
        display: block;
    }

    .term-description h1{
        word-break: break-word;
    }

    .no-sidebar-modified {
        flex-direction: column-reverse;
    }

    .no-sidebar-modified .product-container, .no-sidebar-modified .product-info {
        max-width: 100%;
        width: 100%;
    }

    .no-sidebar-modified .product-info {
        max-width: 100%;
        width: 100%;
        position: relative;
    }

    .no-sidebar-modified .large-col-first {
        order: 1;
    }

    .no-sidebar-modified .product-gallery .large-10, .no-sidebar-modified .product-gallery .large-2{
        flex-basis: 100%;
        max-width: 100%;
    }   

    .no-sidebar-modified .large-10 .woocommerce-product-gallery__wrapper{
        min-height: 300px;
    }

    #wrapper .slider-nav-reveal .flickity-prev-next-button, #wrapper .slider-nav-reveal .flickity-prev-next-button:hover {
        width: 40px !important;
    }

    .sticky-add-to-cart-wrapper .sticky-add-to-cart__product > small{
        display: none;
    }

    .sticky-add-to-cart-wrapper .sticky-add-to-cart__product .product-title-small{
        display: block;
    }

    .no-sidebar-modified > .product-container > .product-main{
        display: none;
    }

    .no-sidebar-modified .mobile-images{
        display: block;
    }

    .ux-block{
        margin-left: -15px;
        margin-right: -15px;
    }

    .top-block {
        max-height: 150px;
    }

    .category-page-title .page-title-inner .medium-text-center {
        text-align: left !important;
    }

    .container > .product-page-accordian-top > div:first-child, .no-sidebar-modified .product-page-accordian-top #up-sells{
        flex-basis: 100%;
    }
}